Bug 618359 - (CVE-2010-1860, MOPS-2010-010) CVE-2010-1860 php: html_entity_decode interruption vulnerability (MOPS-2010-010)
CVE-2010-1860 php: html_entity_decode interruption vulnerability (MOPS-2010-010)
Status: CLOSED DUPLICATE of bug 169857
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Red Hat Product Security
impact=none,source=internet,reported=...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-26 14:38 EDT by Tomas Hoger
Modified: 2015-08-19 04:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-26 14:41:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
MOPS-2010-010 reproducer (1.26 KB, text/plain)
2010-07-26 14:40 EDT, Tomas Hoger
no flags Details

  None (edit)
Description Tomas Hoger 2010-07-26 14:38:48 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-1860 to the following vulnerability:

The html_entity_decode function in PHP 5.2 through 5.2.13 and 5.3 through 5.3.2 allows context-dependent attackers to obtain sensitive information (memory contents) or trigger memory corruption by causing a userspace interruption of an internal call, related to the call time pass by reference feature.

Reference:
http://php-security.org/2010/05/06/mops-2010-010-php-html_entity_decode-interruption-information-leak-vulnerability/index.html
Comment 1 Tomas Hoger 2010-07-26 14:40:11 EDT
Created attachment 434492 [details]
MOPS-2010-010 reproducer
Comment 2 Tomas Hoger 2010-07-26 14:41:50 EDT
Fixed via zend_parse_parameters() change that addressed couple of other MOPS issues - see bug #617578, comment #2.

Closing this, see bug #617578, comment #3 for more detailed explanation.

*** This bug has been marked as a duplicate of bug 169857 ***
Comment 3 Tomas Hoger 2010-07-26 14:42:03 EDT
Statement:

Red Hat does not consider interruption issues allowing safe_mode / open_basedir
restriction bypass to be security sensitive.  For more details see
https://bugzilla.redhat.com/show_bug.cgi?id=169857#c1 and
http://www.php.net/security-note.php

Note You need to log in before you can comment on or make changes to this bug.